com.corticon.rulesemf.canonicalvocabularymodel.metadata.java

## Interface MemberMetadata

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    AssociationMetadata, AttributeMetadata

      public interface MemberMetadata
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Member Metadata'.

  The following features are supported:

  - `Category`
  - `Array`
  - `Type`
  - `Name`
  See Also:
    `JavaPackage.getMemberMetadata()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MetadataCategory` | `getCategory()` Returns the value of the 'Category' attribute.
    `java.lang.String` | `getName()` Returns the value of the 'Name' attribute
    `java.lang.String` | `getType()` Returns the value of the 'Type' attribute
    `boolean` | `isArray()` Returns the value of the 'Array' attribute
    `void` | `setArray(boolean value)` Sets the value of the '`Array`' attribute
    `void` | `setCategory(MetadataCategory value)` Sets the value of the '`Category`' attribute
    `void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
    `void` | `setType(java.lang.String value)` Sets the value of the '`Type`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getCategory

          MetadataCategory getCategory()

      Returns the value of the 'Category' attribute. The literals are from the enumeration `MetadataCategory`.

      If the meaning of the 'Category' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Category' attribute.
      See Also:
        `MetadataCategory`, `setCategory(MetadataCategory)`, `JavaPackage.getMemberMetadata_Category()`

    - #### setCategory

          void setCategory(MetadataCategory value)

      Sets the value of the '`Category`' attribute.
      Parameters:
        `value` - the new value of the 'Category' attribute.
      See Also:
        `MetadataCategory`, `getCategory()`

    - #### isArray

          boolean isArray()

      Returns the value of the 'Array' attribute.

      If the meaning of the 'Array' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Array' attribute.
      See Also:
        `setArray(boolean)`, `JavaPackage.getMemberMetadata_Array()`

    - #### setArray

          void setArray(boolean value)

      Sets the value of the '`Array`' attribute.
      Parameters:
        `value` - the new value of the 'Array' attribute.
      See Also:
        `isArray()`

    - #### getType

          java.lang.String getType()

      Returns the value of the 'Type' attribute.

      If the meaning of the 'Type' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Type' attribute.
      See Also:
        `setType(String)`, `JavaPackage.getMemberMetadata_Type()`

    - #### setType

          void setType(java.lang.String value)

      Sets the value of the '`Type`' attribute.
      Parameters:
        `value` - the new value of the 'Type' attribute.
      See Also:
        `getType()`

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `JavaPackage.getMemberMetadata_Name()`

    - #### setName

          void setName(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.